<%--
  Created by IntelliJ IDEA.
  User: Настя
  Date: 27.03.2017
  Time: 10:29
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>

        <head>
            <title> Personal Admin Page </title>
            <style type="text/css">
                <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
                <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
            </style>
            <script type="text/javascript">
                !function ($) {

                    "use strict"; // jshint ;_;


                    /* DROPDOWN CLASS DEFINITION
                     * ========================= */

                    var toggle = '[data-toggle="dropdown"]'
                        , Dropdown = function (element) {
                        var $el = $(element).on('click.dropdown.data-api', this.toggle)
                        $('html').on('click.dropdown.data-api', function () {
                            $el.parent().removeClass('open')
                        })
                    }

                    Dropdown.prototype = {

                        constructor: Dropdown

                        , toggle: function (e) {
                            var $this = $(this)
                                , $parent
                                , selector
                                , isActive

                            if ($this.is('.disabled, :disabled')) return

                            selector = $this.attr('data-target')

                            if (!selector) {
                                selector = $this.attr('href')
                                selector = selector && selector.replace(/.*(?=#[^\s]*$)/, '') //strip for ie7
                            }

                            $parent = $(selector)
                            $parent.length || ($parent = $this.parent())

                            isActive = $parent.hasClass('open')

                            clearMenus()

                            if (!isActive) $parent.toggleClass('open')

                            return false
                        }

                    }

                    function clearMenus() {
                        $(toggle).parent().removeClass('open')
                    }


                    /* DROPDOWN PLUGIN DEFINITION
                     * ========================== */

                    $.fn.dropdown = function (option) {
                        return this.each(function () {
                            var $this = $(this)
                                , data = $this.data('dropdown')
                            if (!data) $this.data('dropdown', (data = new Dropdown(this)))
                            if (typeof option == 'string') data[option].call($this)
                        })
                    }

                    $.fn.dropdown.Constructor = Dropdown


                    /* APPLY TO STANDARD DROPDOWN ELEMENTS
                     * =================================== */

                    $(function () {
                        $('html').on('click.dropdown.data-api', clearMenus)
                        $('body')
                            .on('click.dropdown', '.dropdown form', function (e) { e.stopPropagation() })
                            .on('click.dropdown.data-api', toggle, Dropdown.prototype.toggle)
                    })

                }(window.jQuery);
            </script>
        </head>

    <body>

        <nav class="navbar navbar-default navbar-fixed-top">
            <div class="container">
                <a class="navbar-brand" href="#">MePhorce</a>
                <nav class="nav nav-masthead">
                    <a class="nav-link" href="/">Войти</a>
                    <a class="nav-link" href="/aboutUs">О проекте</a>
                    <a class="nav-link" href="/registrate">Создать аккаунт</a>
                    <a class="nav-link" href="/contacts">Контакты</a>
                </nav>
            </div>
        </nav>

        <div class="col-lg-12">
            <div class="navbar-header header">
                <center>
                    <h1>
                        ${Admin.modFamily}
                        ${Admin.modFirstName}
                        ${Admin.modSecName}
                    </h1>
                </center>
                <hr>
            </div>
        </div>



        <div class="wrapper">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-lg-pull-9">
                        <div class="btn-group btn-group-vertical">
                            <form>
                                <div class="sidebar-header alert alert-info ">Меню</div>
                                <li class=""> <a href="/PCabinAdmin">Мои проекты</a></li>
                                <li class=""><a href="#">Чат с клиентом</a> </li>
                                <li class=""><a href="#">Мои приглашения в проект</a> </li>
                                <li class=""><a href="#">Профиль</a> </li>
                                <li class=""><a href="/PCommunityAdmin">Сообщество</a> </li>
                                <li class=""><a href="/">Выход</a> </li>
                            </form>
                        </div>
                    </div>


                    <div class="col-lg-9 col-lg-push-3">


                        <div class="pravila">
                            <h3>Правила</h3>
                        </div>


                        <!-- Single button -->
                        <div class="btn-group">
                            <button type="button" onclick="$('.dropdown-toggle').dropdown()" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                1.Правила работы над проектами <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="#">П.1</a></li>
                                <li><a href="#">П.2</a></li>
                                <li><a href="#">П.3</a></li>
                            </ul>
                        </div>

                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th class="text-center">#</th>
                                <th class="text-center">Автор</th>
                                <th class="text-center">Дата</th>
                                <th class="text-center">Новость</th>
                                <th class="text-center">Статус</th>

                            </tr>
                            </thead>

                            <tbody id="prodReportTable">
                            <c:forEach var="listValue" items="${projectList}">
                                <tr>
                                    <td class="text-center"><a href="#">${listValue.prId}</a></td>
                                    <td class="text-center"><a href="#">${listValue.title}</a></td>
                                    <td class="text-center"><a href="#">${listValue.description}</a></td>
                                    <td class="text-center"><a href="#">${listValue.dateOfCreation}</a></td>
                                    <td class="text-center"><a href="#">${listValue.status}</a></td>
                                    <td class="text-center"><a href="#">${listValue.dateOfReady}</a></td>
                                    <td class="text-center"><a href="#">${listValue.sum}</a></td>
                                    <td class="text-center"><a href="#">${listValue.clId}</a></td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
                <footer class="footer">
                    <div class="container">
                        <p class="text-muted">&copy;2017 Mephorce</p>
                    </div>
                </footer>
    </body>

</html>